Skip to content
GuidesPlaygroundDashboard

Query features in a dataset

GET/api/v1/datasets/{id}/features

Query features in a dataset

Path ParametersExpand Collapse
id: string
Query ParametersExpand Collapse
cursor: optional string

Cursor for pagination

limit: optional number

Maximum results

ReturnsExpand Collapse
FeatureCollection = object { features, type }

Bare GeoJSON FeatureCollection. Pagination metadata is returned in HTTP headers (X-Limit, X-Has-More, X-Next-Cursor, X-Next-Offset, Link).

features: array of GeoJsonFeature { geometry, properties, type, 2 more }
geometry: GeoJsonGeometry { coordinates, type }
coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
array of number
array of array of number
array of array of array of number
array of array of array of array of number
type: "Point" or "LineString" or "Polygon" or 3 more
One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: map[unknown]
type: "Feature"
id: optional string

Feature identifier (type/osm_id)

osm_id: optional number

OpenStreetMap ID

type: "FeatureCollection"

Query features in a dataset

curl https://plaza.fyi/api/v1/datasets/$ID/features \
    -H "Authorization: Bearer $PLAZA_API_KEY"
Returns Examples